package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.OrgVirtualService;
import com.engine.organization.service.impl.OrgVirtualServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2023/6/27 3:42 PM
 * @Version 1.0
 */
public class OrgVirtualWrapper extends Service {

    private OrgVirtualService getOrgVirtualService(User user) {
        return ServiceUtil.getService(OrgVirtualServiceImpl.class, user);
    }


    public Map<String, Object> listPage(Map<String, Object> params) {
        return getOrgVirtualService(user).listPage(params);
    }
}
